/*
** Developed by Joe Iz
** Details: http://highwardenhuntsman.blogspot.com
*/

* {
  padding: 0;
  margin: 0;
}
body {
  font-size: 12px;
  font-family: Arial;
  background: url(../img/bg.jpg) repeat top center !important;
}

#wrapper {
  margin: 0 auto;
}

#main {
  padding: 20px;
}
#main h2 {
  border-bottom: 1px solid #ccc;
  padding-bottom: 5px;
}
#main .index_add {
  line-height: 18px;
}

/*
** HTML elements
*/
fieldset {
  margin-bottom: 1em;
  padding: 0.5em;
}
form {
  margin: 0;
  padding: 0;
}
hr {
  height: 1px;
  border: 1px solid gray;
}
img {
  border: 0;
}
table {
  border-collapse: collapse;
}
th {
  text-align: left;
  padding-right: 1em;
  border-bottom: 3px solid #ccc;
}

.clear-block:after {
  content: '.';
  display: block;
  height: 0;
  clear: both;
  visibility: hidden;
}

.clear-block {
  display: inline-block;
}

* html .clear-block {
  height: 1%;
}
.clear-block {
  display: block;
}

/* Map Popup */
.maps_popup {
  overflow: auto;
}
.maps_popup h1 {
  font-size: 13px;
  font-weight: bold;
  padding: 0;
  margin: 0 0 5px 0;
}
.maps_popup h2 {
  font-size: 12px;
  padding: 0;
  margin: 0 0 5px 0;
}
.maps_popup .img {
  float: right;
  padding: 5px;
  border: 1px solid #ccc;
  margin: 10px 0 5px 5px;
  background: #fff; /*border-left: 5px solid #fff; border-bottom: 5px solid #fff;*/
}
.maps_popup p {
  padding: 0;
  margin: 0px 0px 1px 0px;
}

/* type */
h1,
h2,
h3,
h4,
h5,
h6,
p,
ul {
  margin-bottom: 15px;
}
a {
  font-weight: bold;
}
a:hover {
  text-decoration: none;
}
a img {
  border: none;
}
ul {
  margin: 0 20px 20px 20px;
}

/* forms and fieldsets */
form {
}
form fieldset {
  padding: 0 20px 20px 20px;
}
form fieldset legend {
  font-weight: bold;
  font-size: 16px;
}
form fieldset .input {
  padding: 10px 0;
}
form fieldset .input label {
  display: block;
}
form fieldset .input input {
  width: 100%;
}
form fieldset .input span.required {
  color: maroon;
  font-weight: bold;
}
form fieldset .buttons {
  padding: 10px 0 0 0;
}
form fieldset .row .input {
  float: left;
}
form fieldset .two .input {
  width: 50%;
}
form fieldset .two .first input {
  width: 95%;
}

body.page-clinic-finder {
  background: none;
}

#edit-submit {
  margin-top: 4px;

  margin-left: 10px;
  display: inline;
}

#clinic-finder {
  position: relative;
  background-color: #ededed;
  padding: 0px;
  width: 100%;
  margin: 0px auto;
}

/* @group button */

/*shared button styling*/
#clinic-finder .button {
  padding: 5px 10px;
  border: 1px solid #8b8b8b;
  font-weight: normal;
  text-shadow: #fffeff 1px 1px 0;
  background-color: #e7e7e7;
  background-image: -webkit-gradient(
    linear,
    0% 0%,
    0% 90%,
    from(#fbfbfb),
    to(#d3d3d3)
  );
  background-image: -moz-linear-gradient(#fbfbfb 0%, #d3d3d3 90%);
  -webkit-border-radius: 5px;
  -moz-border-radius: 5px;
  color: #333;
  cursor: pointer;
  font-size: 16px;
}

ol li.clinic_list {
  margin-right: 10px;
}

#clinic-finder .button:hover {
  /*background-color: #d8d8d8;*/
  -webkit-box-shadow: 0px 0px 5px rgba(0, 0, 0, 0.3);
  -moz-box-shadow: 0px 0px 5px #888;
  text-decoration: none;
  border-color: #737373;
}

#clinic-finder .button:active {
  background-color: #f1f1f1;
  background-image: -webkit-gradient(
    linear,
    0% 0%,
    0% 90%,
    from(#b7b7b7),
    to(#dedede)
  );
  background-image: -moz-linear-gradient(#b7b7b7 0%, #dedede 90%);
  -webkit-box-shadow: none;
  -moz-box-shadow: none;
}

/*blue button styling extends above generic button*/
#clinic-finder .blue-button {
  background-color: #407cbe;
  background-image: -webkit-gradient(
    linear,
    0% 0%,
    0% 90%,
    from(#407cbe),
    to(#23518c)
  );
  background-image: -moz-linear-gradient(#407cbe 0%, #23518c 90%);
  color: #fff;
  text-shadow: #0c2942 1px 1px 0;
}

#clinic-finder .blue-button:active {
  background-color: #4485ce;
  background-image: -webkit-gradient(
    linear,
    0% 0%,
    0% 90%,
    from(#23518c),
    to(#407cbe)
  );
  background-image: -moz-linear-gradient(#23518c 0%, #407cbe 90%);
  color: #fffeff;
  text-shadow: #0c2942 1px 1px 0;
}

#clinic-finder .links {
  position: absolute;
  top: -40px;
  right: 0;
  padding: 5px;
}

#clinic-finder .links a {
  margin-left: 20px;
}

#map_canvas {
  clear: left;
  float: left;
  width: 100%;
  height: 352px;
  /* height: 530px;*/
  -webkit-box-shadow: 0px 0px 10px #888;
  -moz-box-shadow: 0px 0px 10px #888;
}

#clinic-finder form#clinic-finder-form {
  padding: 10px;
  background-color: #cecece;
  margin-bottom: 10px;
  text-shadow: #8b8b8b 0 0 0;
  background-image: -webkit-gradient(
    linear,
    0% 0%,
    0% 90%,
    from(#dedede),
    to(#b7b7b7)
  );
  background-image: -moz-linear-gradient(#dedede 0%, #b7b7b7 90%);
  -webkit-border-radius: 5px;
  -moz-border-radius: 5px;

  border: 1px solid #b7b7b7;
  position: relative;
  height: 123px;
}

#clinic-finder form#clinic-finder-form .form-item {
}

#clinic-finder form#clinic-finder-form #edit-gmap-address-wrapper {
  width: 100%;
  float: left;
}

#clinic-finder form#clinic-finder-form label {
  font-size: 12px;
  font-weight: normal;
  font-style: normal;
}

#clinic-finder form#clinic-finder-form input#address {
  font-size: 16px;
  width: 100%;
  height: 18px;
  margin-top: 3px;
}

#clinic-finder form#clinic-finder-form input.gmap-find {
  font-style: normal;
  *line-height: 11px;
  float: left;
  padding-top: 2px;
  padding-bottom: 2px;
  margin: 36px 0 0;
}

#clinic-finder-form #edit-products-wrapper {
  float: left;
  margin-top: 0;
  width: 100%;
}

#clinic-finder-form select#edit-products {
  width: 100%;
  margin-top: 2px;
  margin-left: 0;
  font-size: 16px;
}

/*legend*/
#clinic-finder .legend {
  margin-left: 0;
  background-color: #cfcfcf;
  background-color: rgba(255, 254, 255, 0.2);
  position: absolute;
  top: 0;
  right: 0;
  width: 225px;
  padding-left: 15px;
  border-left: 1px solid #b7b7b7;
  height: 100%;
  -webkit-border-top-right-radius: 5px;
  -webkit-border-bottom-right-radius: 5px;
  -moz-border-radius-topright: 5px;
  -moz-border-radius-bottomright: 5px;
  border-top-right-radius: 5px;
  border-bottom-right-radius: 5px;
}

#clinic-finder .legend div {
  margin-top: 3px;
}

/*spinner*/
#clinic-finder #spinner,
#overlay-contact-clinic-form #spinner {
  background: rgba(0, 0, 0, 0.52) 0;
  display: block;
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  font-size: 24px;
  text-align: center;
  padding-top: 25%;
  padding-left: 39%;
  -webkit-border-radius: 5px;
  -moz-border-radius: 5px;
}

#clinic-finder #spinner span,
#overlay-contact-clinic-form #spinner span {
  display: block;
  width: 230px;
  height: 50px;
  padding-top: 70px;
  -webkit-border-radius: 10px;
  -moz-border-radius: 10px;
  -moz-box-shadow: 0px 0px 20px #000;
  -webkit-box-shadow: 0px 0px 20px #000;
  border: 5px solid #d0a127;
  color: #000;
}

/* @group results list */

/*KM/miles button*/
#clinic-finder .distance-units {
  margin-left: 40px;
  margin-bottom: 0;
  margin-top: 3px;
  position: absolute;
  top: 522px;
  right: 35px;
  background-color: #608cca;
  background-image: -webkit-gradient(
    linear,
    0% 0%,
    0% 90%,
    from(#fc9f43),
    to(#fa640a)
  );
  background-image: -moz-linear-gradient(#fc9f43 0%, #fa640a 90%);
  text-shadow: rgba(0, 0, 0, 0.34) -1px -1px 3px;
  -webkit-border-radius: 5px;
  -moz-border-radius: 5px;
  border-style: none;
  height: 26px;
}

#clinic-finder .distance-units .km {
  color: #ffffff;
}

#clinic-finder .distance-units .miles {
  color: #ffffff;
}

#clinic-finder .distance-units input {
  display: none;
}

#clinic-finder .distance-units label {
  padding: 3px 5px 2px;
  display: inline-block;
  float: left;
  font-size: 11px;
  color: #fffeff;
  font-weight: bold;
  width: 30px;
  text-align: center;
}

#clinic-finder .distance-units label.unchecked {
  color: #a3a3a3;
  text-shadow: #fffeff 1px 1px 0;
  background-color: #e7e7e7;
  background-image: -webkit-gradient(
    linear,
    0% 0%,
    0% 90%,
    from(#fbfbfb),
    to(#d3d3d3)
  );
  background-image: -moz-linear-gradient(#fbfbfb 0%, #d3d3d3 90%);
  border: 1px solid #868686;
  -webkit-border-radius: 5px;
  -moz-border-radius: 5px;
  padding-top: 2px;
}

#clinic-finder .distance-units label.unchecked:hover {
  cursor: pointer;
  border-color: #666;
}

/*results list items*/

#clinic-finder #results {
  display: block;
  float: left;
  width: 100%;
  padding: 10px;
  min-height: 100px;
}

#clinic-finder #results ol {
  margin: 0;
  overflow: auto;
  height: 480px;
  padding: 0 10px 0 0;
  position: relative;
}

#clinic-finder #results ol li {
  color: #333;
  list-style-image: none;
  background: url(../img/list-icon.png) no-repeat 10px 5px;
  list-style-type: none;
  position: relative;
  padding: 5px 5px 5px 50px;
  border: 1px dashed #c1c1c1;
  border-bottom-style: none;
  border-right-color: #ededed;
  border-left-color: #ededed;
  zoom: 1;
  clear: both;
}

#clinic-finder #results ol li:hover {
  background-color: #e0e0e0;
  cursor: pointer;
  color: #000;
}

#clinic-finder #results ol li.noclick:hover {
  background-color: transparent;
  cursor: default;
  color: #333;
}

#clinic-finder #results ol li.active {
  background-color: white;
  border-left-color: #c1c1c1;
  border-right-color: #c1c1c1;
}

#clinic-finder #results ol li div.distance {
  color: #848484;
}

#clinic-finder #results ol li span.number {
  font-size: 18px;
  display: block;
  position: absolute;
  top: 12px;
  left: 21px;
  color: #fff;
}

#clinic-finder #results ol li.double-digit span.number {
  left: 16px;
}

#results h2 {
  max-width: 100%;
  margin-left: 1px;
  margin-right: 22px;
  line-height: 20px;
}

#direction h2 {
  max-width: 100%;
  margin-left: 6px;
  margin-right: 20px;
  margin-top: 10px;
  line-height: 20px;
}

/* @end */

/* @group bubbles */

.gmap-bubble {
  overflow: hidden;
  width: 220px;
}

.gmap-bubble h2 {
  margin-right: 10px;
}

.gmap-bubble .phone,
.gmap-bubble .website,
.gmap-bubble .products {
  margin-top: 10px;
}

.gmap-bubble .edit-link {
  position: absolute;
  bottom: 0;
  right: 0;
}

/* @end */

/* @group fluster */

/* Fluster marker clustering */

div.fluster-div {
  position: relative;
}

div.fluster-div span {
  position: absolute;
  top: 44px;
  right: 53px;
}

/* @end */

/* @group product icons */

/*product icons*/
#clinic-finder .products div {
  font-size: 12px;
  overflow: hidden;
}

#results .products {
  height: 22px;
  position: absolute;
  bottom: 1px;
  right: 3px;
}

#results .products span {
  display: inline-block;
  width: 2px;
  height: 22px;
  margin-top: -2px;
  opacity: 0.5;
}

#results li.active .products span,
#results li:hover .products span {
  opacity: 1;
}

.product-checkboxes .form-item label {
  height: 22px;
  display: block;
}

.products div,
.product-checkboxes .form-item label {
  padding-left: 25px;
  line-height: 22px;
  color: #585858;
  display: block;
}

div#logo {
  background: url(../admin/images/logo.png) no-repeat;
  width: 321px;
  height: 92px;
  margin: 5px;
}

/* Footer
-------------------------------------------------- */

.footer {
  text-align: center;
  padding: 30px 0;
  margin-top: 70px;
  border-top: 1px solid #e5e5e5;
  background-color: #f5f5f5;
}
.footer p {
  margin-bottom: 0;
  color: #777;
}
.footer-links {
  margin: 10px 0;
}
.footer-links li {
  display: inline;
  padding: 0 2px;
}
.footer-links li:first-child {
  padding-left: 0;
}

#map_canvas.newstore_map {
  width: 100%;
  height: 250px;
  clear: both;
  display: block;
}

/* @end */

/* direction */

/*direction list items*/

#clinic-finder #direction {
  display: block;
  float: left;
  width: 100%;
  padding-left: 20px;
  min-height: 460px;
  padding-top: 10px;
  padding-right: 5px;
}

#clinic-finder #direction {
  margin: 0;
  overflow: auto;
  height: 500px;
  max-width: 100%;
  padding: 5px 10px 5px 5px;
  position: relative;
  display: none;
}

#clinic-finder #direction table td {
  color: #333;
  position: relative;
  padding: 5px 5px 5px 10px;
  border: 1px dashed #c1c1c1;
  border-bottom-style: none;
  border-right-color: #ededed;
  border-left-color: #ededed;
  zoom: 1;
  clear: both;
}

#clinic-finder #direction .adp-text {
  text-indent: 10px;
}

#clinic-finder #direction .adp-directions {
  width: 100%;
}

#clinic-finder #direction .adp-placemark {
  color: #333 !important;
  position: relative !important;
  padding: 5px 5px 5px 5px !important;
  border: 1px dashed #c1c1c1 !important;
  border-bottom-style: none !important;
  border-right-color: #ededed !important;
  border-left-color: #ededed !important;
  zoom: 1 !important;
  clear: both !important;
}

#clinic-finder #direction input.orides-txt {
  width: 120px;
  padding-left: 10px;
}

#clinic-finder #direction .get-dir-button {
  padding-left: 2px;
}

#clinic-finder #direction table td:hover {
  cursor: pointer;
}

#clinic-finder #direction ol li.noclick:hover {
  background-color: transparent;
  cursor: default;
  color: #333;
}

#clinic-finder #direction ol li.active {
  background-color: white;
  border-left-color: #c1c1c1;
  border-right-color: #c1c1c1;
}

#clinic-finder #direction ol li div.distance {
  color: #848484;
}

#clinic-finder #direction ol li span.number {
  font-size: 18px;
  display: block;
  position: absolute;
  top: 12px;
  left: 21px;
  color: #fff;
}

#clinic-finder #direction ol li.double-digit span.number {
  left: 16px;
}

#direction h2 {
  max-width: 100%;
  line-height: 20px;
}

#ssf-contact-form input[type='text'],
#ssf-contact-form input[type='email'],
#ssf-contact-form input[type='tel'],
#ssf-contact-form textarea,
#ssf-contact-form button[type='submit'] {
  font:
    400 12px/12px 'Helvetica Neue',
    Helvetica,
    Arial,
    sans-serif;
}
#ssf-contact-form {
  text-shadow: 0 1px 0 #fff;
  border-radius: 4px;
  -webkit-border-radius: 4px;
  -moz-border-radius: 4px;
  background: #f9f9f9;
  padding: 25px;
}
#ssf-contact-form h3 {
  color: #000000;
  display: block;
  font-size: 28px;
}
#ssf-contact-form h4 {
  margin: 5px 0 15px;
  display: block;
  font-size: 13px;
}
#ssf-contact-form label span {
  cursor: pointer;
  color: #000000;
  display: block;
  margin: 5px 0;
  font-weight: 900;
  float: left;
}
#ssf-contact-form input[type='text'],
#ssf-contact-form input[type='email'],
#ssf-contact-form input[type='tel'],
#ssf-contact-form textarea {
  width: 100%;
  box-shadow:
    inset 0 1px 2px #ddd,
    0 1px 0 #fff;
  -webkit-box-shadow:
    inset 0 1px 2px #ddd,
    0 1px 0 #fff;
  -moz-box-shadow:
    inset 0 1px 2px #ddd,
    0 1px 0 #fff;
  border: 1px solid #ccc;
  background: #fff;
  margin: 0 0 5px;
  padding: 10px;
  border-radius: 5px;
}
#ssf-contact-form input[type='text']:hover,
#ssf-contact-form input[type='email']:hover,
#ssf-contact-form input[type='tel']:hover,
#ssf-contact-form textarea:hover {
  -webkit-transition: border-color 0.3s ease-in-out;
  -moz-transition: border-color 0.3s ease-in-out;
  transition: border-color 0.3s ease-in-out;
  border: 1px solid #aaa;
}
#ssf-contact-form textarea {
  height: 100px;
  max-width: 100%;
}
#ssf-contact-form button[type='button'] {
  cursor: pointer;
  width: 100%;
  border: none;
  background: #038cd6;
  background-image: linear-gradient(bottom, #038cd6 0%, #038cd6 52%);
  background-image: -moz-linear-gradient(bottom, #038cd6 0%, #038cd6 52%);
  background-image: -webkit-linear-gradient(bottom, #038cd6 0%, #038cd6 52%);
  color: #fff;
  margin: 0 0 5px;
  padding: 10px;
  border-radius: 5px;
}
#ssf-contact-form button[type='button']:hover {
  /*background-image:linear-gradient(bottom, #9C215A 0%, #A82767 52%);
	background-image:-moz-linear-gradient(bottom, #9C215A 0%, #A82767 52%);
	background-image:-webkit-linear-gradient(bottom, #9C215A 0%, #A82767 52%);*/
  -webkit-transition: background 0.3s ease-in-out;
  -moz-transition: background 0.3s ease-in-out;
  transition: background-color 0.3s ease-in-out;
}
#ssf-contact-form button[type='submit']:active {
  box-shadow: inset 0 1px 3px rgba(0, 0, 0, 0.5);
}
#ssf-contact-form input:focus,
#ssf-contact-form textarea:focus {
  outline: 0;
  border: 1px solid #999;
}
::-webkit-input-placeholder {
  color: #888;
}
:-moz-placeholder {
  color: #888;
}
::-moz-placeholder {
  color: #888;
}
:-ms-input-placeholder {
  color: #888;
}
.ssf-red-star {
  color: red !important;
  display: inline-block;
}

#ssf-preloader {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: #fff; /* change if the mask should have another color then white */
  z-index: 9999; /* makes sure it stays on top */
}
#ssf_loading {
  text-align: center;
  display: none;
}
/* @end */

.ssf_gdpr_check {
  width: 20px;
}
.ssf_gdpr_text {
  width: 90%;
}
.ssf_gdpr_check,
.ssf_gdpr_text {
  display: inline-block;
  float: left;
}

.ssf_gdpr_text {
  padding-left: 10px;
}

.ssfgdpr {
  display: block;
  width: 100%;
}

#ssf_gdpr_check.ssf_invalid {
  outline: 2px solid #c00;
}
